// My File Manager (MFM).
//
// Copyright 2005-2006 by Stefano Gatti.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
//=====================================================================

#ifndef mfmzip_ui_h
#define mfmzip_ui_h

#include "mfmzip_ui_fluid.hxx"


class class_mfmzip : public class_mfmzip_fluid {

public:
  
  char *archive;
  
  FILE *stream;  
       
  class_mfmzip(int argc, char **argv);
  
  void activate_all();
  void deactivate_all();   

  bool extract;

  void archive_list();
  
  virtual void mfmzip_open_callback();
  virtual void mfmzip_list_callback();  
  virtual void mfmzip_extract_callback();
  virtual void mfmzip_exit_callback();  
  virtual void mfmzip_help_callback();   

};

#endif
